NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.Subdivision.SubdivisionRevolveBuilder Class Reference

Represents a NXOpen.Features.Subdivision.SubdivisionRevolveBuilder builder. More...

Inheritance diagram for NXOpen.Features.Subdivision.SubdivisionRevolveBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ContinuityType { Smooth, Sharp }
 Type of continuity. More...
 

Properties

unsafe NXOpen.SelectNXObject AxisPoint [get]
 Returns the origin of the axis of revolution. More...
 
unsafe NXOpen.Direction AxisVector [get, set]
 Returns or sets the axis of revolution. More...
 
unsafe bool CanSew [get, set]
 Returns or sets the value indicating if open edges of the revolve mesh can be sewn with selected input open edges. More...
 
unsafe
NXOpen.Features.Subdivision.SubdivisionRevolveBuilder.ContinuityType 
Continuity [get, set]
 Returns or sets the continuity. More...
 
unsafe NXOpen.Expression EndAngle [get]
 Returns the end of angular dimension. More...
 
unsafe int NumOfSegments [get, set]
 Returns or sets the number of segments. More...
 
unsafe
NXOpen.Features.Subdivision.SelectCageObjectData 
SectionObject [get]
 Returns the section as revolving profile. More...
 
unsafe NXOpen.Expression StartAngle [get]
 Returns the start of angular dimension. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.Subdivision.SubdivisionRevolveBuilder builder.

To create a new instance of this class, use NXOpen.Features.Subdivision.SubdivisionBodyCollection.CreateSubdivisionRevolveBuilder

Default values.

Property Value

CanSew

1

EndAngle.Value

360

NumOfSegments

8

StartAngle.Value

0

Created in NX10.0.0

Member Enumeration Documentation

Type of continuity.

Enumerator
Smooth 

Smooth continuity

Sharp 

Sharp continuity

Property Documentation

unsafe NXOpen.SelectNXObject NXOpen.Features.Subdivision.SubdivisionRevolveBuilder.AxisPoint
get

Returns the origin of the axis of revolution.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.Subdivision.SubdivisionRevolveBuilder.AxisVector
getset

Returns or sets the axis of revolution.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_subdivision (" NX SUBDIVISION")

unsafe bool NXOpen.Features.Subdivision.SubdivisionRevolveBuilder.CanSew
getset

Returns or sets the value indicating if open edges of the revolve mesh can be sewn with selected input open edges.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_subdivision (" NX SUBDIVISION")

unsafe NXOpen.Features.Subdivision.SubdivisionRevolveBuilder.ContinuityType NXOpen.Features.Subdivision.SubdivisionRevolveBuilder.Continuity
getset

Returns or sets the continuity.

The continuity is used to specify creases in the limit surface corresponding to edges of the revolved region that are sewn with the primary existing region.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_subdivision (" NX SUBDIVISION")

unsafe NXOpen.Expression NXOpen.Features.Subdivision.SubdivisionRevolveBuilder.EndAngle
get

Returns the end of angular dimension.

Created in NX10.0.0

License requirements: None.

unsafe int NXOpen.Features.Subdivision.SubdivisionRevolveBuilder.NumOfSegments
getset

Returns or sets the number of segments.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_subdivision (" NX SUBDIVISION")

unsafe NXOpen.Features.Subdivision.SelectCageObjectData NXOpen.Features.Subdivision.SubdivisionRevolveBuilder.SectionObject
get

Returns the section as revolving profile.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.Subdivision.SubdivisionRevolveBuilder.StartAngle
get

Returns the start of angular dimension.

Created in NX10.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.